<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>弹性盒模型-align-content属性</title>
    <style>
         .stretch-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            flex-wrap: wrap;
            align-content: stretch;
        }
        .flex-start-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            flex-wrap: wrap;
            align-content:flex-start;
        }
        .flex-end-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            align-content: flex-end;
            flex-wrap: wrap;
        }
        .center-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            align-content: center;
            flex-wrap: wrap;
        }
        .space-between-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            flex-wrap: wrap;
            align-content: space-between;
        }
        .space-around-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            flex-wrap: wrap;
            align-content: space-around;
        }
        .flex-item{
            width: 30px;
            margin-left: 2px;
            background: red;
        }
    </style>
</head>
<body>
    <div class="flex-start-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="flex-end-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="stretch-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="center-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="space-between-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="space-around-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
</body>
</html>